# Based on the file created by the Manjaro Team:
# Maintainer: Philip Müller <philm[AT]manjaro[DOT]org>
# Contributor: Helmut Stult <helmut[AT]manjaro[DOT]org>

# Maintainer: Steven Seifried <gitlab@canox.net>

pkgname=tuxedo-control-center
pkgver=2.1.12
pkgrel=1
pkgdesc="Finetune your Tuxedo computers laptop"
arch=(x86_64)
url="https://github.com/tuxedocomputers/tuxedo-control-center"
license=('GPL3')
depends=(alsa-lib hicolor-icon-theme libxcursor libxss libxtst nss tuxedo-keyboard)
depends=()
options=(!strip)
install=${pkgname}.install

source=("https://rpm.tuxedocomputers.com/opensuse/15.4/x86_64/${pkgname}_${pkgver}.rpm"
        tuxedo-control-center.install)
sha512sums=('5a77dbbce4a3574c496917b3a1aaadf776293c4c757266a7946fd23fb5b7e82c2eceacadb7aa74ad06c184f55b60e98061af8f84c67595f88279cce371af46b7'
            '944637c5818e9aa88840dcde3171df5ce0c58c15927dc800b3481f13ab0a20aaf629d6538e16b752cf97f8a716921a99adb7058a262ce87096089eb2e96cde62')

package() {
    install -dm755 "${pkgdir}/usr"
    cp -av usr/share "${pkgdir}"/usr/
    cp -av opt "${pkgdir}"

    install -dm755 "${pkgdir}/usr/bin"
    ln -sfv /opt/tuxedo-control-center/tuxedo-control-center \
        "${pkgdir}/usr/bin/tuxedo-control-center"

    distpath='/opt/tuxedo-control-center/resources/dist/tuxedo-control-center'
    install -Dm644 \
        "${srcdir}${distpath}/data/dist-data/com.tuxedocomputers.tccd.policy" \
        "${pkgdir}/usr/share/polkit-1/actions/com.tuxedocomputers.tccd.policy"
    install -Dm644 \
        "${srcdir}${distpath}/data/dist-data/com.tuxedocomputers.tccd.conf" \
        "${pkgdir}/usr/share/dbus-1/system.d/com.tuxedocomputers.tccd.conf"

    install -dm755 "${pkgdir}/usr/lib/systemd/system"
    install -Dm644 \
        "${srcdir}${distpath}/data/dist-data/tccd.service" \
        "${pkgdir}/usr/lib/systemd/system/tccd.service"
    install -Dm644 \
        "${srcdir}${distpath}/data/dist-data/tccd-sleep.service" \
        "${pkgdir}/usr/lib/systemd/system/tccd-sleep.service"
}

